> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/es/api-publica-de-exoclick/api-manual-rate-limiting.md).

# Limitación de tasa

## Límites generales de solicitudes

La API tiene un límite de 150 solicitudes cada 60 segundos. Todas las solicitudes cuentan para el total. Cada solicitud procesada por la API devuelve información sobre los límites de solicitudes en los encabezados HTTP.

{% hint style="info" %}
**Nota**: Los límites de solicitudes se aplican tanto al nombre de usuario como a la dirección IP. Por lo tanto, cada nombre de usuario y cada dirección IP tienen un límite de 150 solicitudes cada 60 segundos.
{% endhint %}

## Límites de solicitudes de inicio de sesión

Las solicitudes de inicio de sesión tienen un límite de **10 solicitudes cada 60 segundos**. Todas las solicitudes cuentan para el total.

{% hint style="info" %}
**Nota**: La dirección IP y el nombre de usuario de cada solicitud de estadísticas realizada cuentan para estos límites.
{% endhint %}

## Límites de solicitudes de estadísticas

Las solicitudes de estadísticas tienen un límite de 30 solicitudes por minuto para cada dirección IP y de 25 solicitudes por minuto para cada nombre de usuario.

{% hint style="info" %}
**Nota**: La dirección IP y el nombre de usuario de cada solicitud de estadísticas realizada cuentan para estos límites.
{% endhint %}

Por ejemplo, si inicias sesión con tu nombre de usuario desde un único ordenador y realizas 25 solicitudes de estadísticas, la siguiente solicitud que hagas fallará. Sin embargo, podrías cambiar a otro nombre de usuario y realizar 5 solicitudes de estadísticas más antes de alcanzar el límite de la dirección IP.

## Ejemplos

### Límites de solicitudes: ejemplo 1

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

Cuando se supera el límite de solicitudes, *429 Too Many Requests* se generará un error HTTP en todas las solicitudes posteriores hasta que se restablezca el límite. Al igual que en una solicitud normal, la información sobre los límites estará disponible en los encabezados HTTP.

### Límites de solicitudes: ejemplo 2 (límite superado)

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Too Many Requests",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/es/api-publica-de-exoclick/api-manual-rate-limiting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
